SDL_CursorFrameInfo Struct Reference

`#include <SDL_mouse.h>`

Collaboration diagram for SDL_CursorFrameInfo:
[legend]

## Data Fields

SDL_Surface * | surface
Uint32 | duration

## Detailed Description

Animated cursor frame info.

Since
  This struct is available since SDL 3.4.0.

Definition at line 138 of file SDL_mouse.h.

## Field Documentation

## duration

Uint32 SDL_CursorFrameInfo::duration

The frame duration in milliseconds (a duration of 0 is infinite)

Definition at line 141 of file SDL_mouse.h.

## surface

SDL_Surface* SDL_CursorFrameInfo::surface

The surface data for this frame

Definition at line 140 of file SDL_mouse.h.

The documentation for this struct was generated from the following file:

- SDL_mouse.h